Package com.dropbox.core.v2.team
Class MembersRemoveBuilder
java.lang.Object
com.dropbox.core.v2.team.MembersRemoveBuilder
The request builder returned by
DbxTeamTeamRequests.membersRemoveBuilder(com.dropbox.core.v2.team.UserSelectorArg).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withKeepAccount(Boolean keepAccount) Set value for optional field.withPermanentlyDeleteFiles(Boolean permanentlyDeleteFiles) Set value for optional field.withRetainTeamShares(Boolean retainTeamShares) Set value for optional field.withTransferAdminId(UserSelectorArg transferAdminId) Set value for optional field.withTransferDestId(UserSelectorArg transferDestId) Set value for optional field.withWipeData(Boolean wipeData) Set value for optional field.
-
Method Details
-
withWipeData
Set value for optional field.If left unset or set to
null, defaults totrue.- Parameters:
wipeData- If provided, controls if the user's data will be deleted on their linked devices. Defaults totruewhen set tonull.- Returns:
- this builder
-
withTransferDestId
Set value for optional field.- Parameters:
transferDestId- If provided, files from the deleted member account will be transferred to this user.- Returns:
- this builder
-
withTransferAdminId
Set value for optional field.- Parameters:
transferAdminId- If provided, errors during the transfer process will be sent via email to this user. If the transfer_dest_id argument was provided, then this argument must be provided as well.- Returns:
- this builder
-
withKeepAccount
Set value for optional field.If left unset or set to
null, defaults tofalse.- Parameters:
keepAccount- Downgrade the member to a Basic account. The user will retain the email address associated with their Dropbox account and data in their account that is not restricted to team members. In order to keep the account the argument thewipeDataargument toDbxTeamTeamRequests.membersSuspend(UserSelectorArg,boolean)should be set tofalse. Defaults tofalsewhen set tonull.- Returns:
- this builder
-
withPermanentlyDeleteFiles
Set value for optional field.If left unset or set to
null, defaults tofalse.- Parameters:
permanentlyDeleteFiles- Permanently delete the data in the deleted member's account. After permanent deletion, the data is no longer available to be transferred to a different user. Defaults tofalsewhen set tonull.- Returns:
- this builder
-
start
Issues the request.
-